import { jsx } from "react/jsx-runtime";
import { CheckSquareIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CheckSquare = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CheckSquare", ...props, children: /* @__PURE__ */ jsx(CheckSquareIcon, { weight: variant }) });
  }
);
CheckSquare.displayName = "CheckSquare";
Object.assign(CheckSquare, { isGdsIcon: true });
export {
  CheckSquare
};
